.generated-form-container.footer-form > form{

}

.generated-form-container.footer-form > form > .generated-form__input-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.generated-form-container.footer-form > form > .generated-form__input-container > .generated-form__row {
    display: inline-flex;
    flex-direction: row;
}

.generated-form-container.footer-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-label {
    margin-bottom: 0;
}

.generated-form-container.footer-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    position: relative;
    margin: 0 auto;

    @media screen and (max-width: 575px){
        justify-content: center;
        align-items: center;
    }
}

.generated-form-container.footer-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container > input {
    display: block;
    padding-left: 12px;
    width: 100%;
    -webkit-appearance: none !important;
    border-radius: 0 !important;

    @media screen and (max-width: 1024px){
        width: 100%;
    }

    @media screen and (max-width: 575px){
        width: 80%;
        justify-self: center;
        justify-content: center;
    }
}

.generated-form-container.footer-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container > select {
    display: block;
    width: 100%;
    border-radius: 0 !important;
    height: 35px !important;

    @media screen and (max-width: 1024px){
        width: 100%;
    }

    @media screen and (max-width: 575px){
        width: 80%;
        justify-self: center;
    }
}

.generated-form-container.footer-form > form .generated-form__row-input-container:after {
    content: "*";
    position: absolute;
    color: red;
    left: 6px;
    top: 6px;

    @media screen and (max-width: 575px) {
        left: clamp(56px, 1vw, 56px);
    }

    @media screen and (max-width: 547px) {
        left: clamp(53px, 1vw, 56px);
    }

    @media screen and (max-width: 520px) {
        left: clamp(50px, 1vw, 56px);
    }

    @media screen and (max-width: 491px) {
        left: clamp(48px, 1vw, 56px);
    }

    @media screen and (max-width: 469px) {
        left: clamp(46px, 1vw, 56px);
    }

    @media screen and (max-width: 453px) {
        left: clamp(44px, 1vw, 56px);
    }

    @media screen and (max-width: 429px) {
        left: clamp(42px, 1vw, 56px);
    }

    @media screen and (max-width: 411px) {
        left: clamp(40px, 1vw, 56px);
    }

    @media screen and (max-width: 395px) {
        left: clamp(38px, 1vw, 56px);
    }

    @media screen and (max-width: 371px) {
        left: clamp(35px, 1vw, 56px);
    }

    @media screen and (max-width: 339px) {
        left: clamp(33px, 1vw, 56px);
    }

    @media screen and (max-width: 319px) {
        left: clamp(31px, 1vw, 56px);
    }
}

.generated-form-container.footer-form > form .generated-form__row:nth-child(3) .generated-form__row-input-container:after {
    content: "";
}

.generated-form-container.footer-form > form > .generated-form__consent-container {
    margin-top: 12px;
    margin-bottom: 12px;
}

.generated-form-container.footer-form > form > .generated-form__consent-container .generated-form__row-label {
    font-size: 13px;
    color: rgba(255,255,255,0.5);

    @media screen and (max-width: 575px){
        margin-left: 30px;
        margin-right: 30px;
    }
}

.generated-form-container.footer-form > form > .generated-form__submit {
    width: 80%;
    font-size: 16px;
    font-weight: 700;
    padding: 10px;
    background: #d2b088;
    color: white;
    border: none;
    border-radius: 0;
    text-align: center;

    @media screen and (max-width: 575px){
        justify-self: center;
    }
}
